local CrashSkinCheck = CrashAddon.CrashSkinCheck
local JumpManager = CrashAddon.JumpManager
local FailVibeCheck = CrashAddon.FailVibeCheck

//this makes crash jump higher if he jumps while crawling/sliding
local function SlideNCrouchJump(player)
	if not CrashSkinCheck(player)
		return
	end
	
	if player.normalspeed == 5 * FRACUNIT or player.crashban.slidetimer > 0
		P_DoJump(player, true)
		JumpManager(player.mo, 13 * FRACUNIT)
		player.height = skins[player.mo.skin].height
		player.normalspeed = skins[player.mo.skin].normalspeed
		player.crashban.slidetimer = 0
		player.crashban.slidejumped = true
		return true
	end
end

//this helps reset the slidejump variable
local function SlideJumpReset(player)
	if not CrashSkinCheck(player)
		return
	end
	
	if (FailVibeCheck(player) or not (player.pflags & PF_JUMPED)) and
			player.crashban.slidejumped
		player.crashban.slidejumped = false
	end
end

//hooks
addHook("JumpSpecial", SlideNCrouchJump)
addHook("PlayerThink", SlideJumpReset)