//just gonna yoink this from Pikaspoop since optimization is good
print("=== Loading Crash Bandicoot, please wait... ===")

--simple command to load files from folders
local path = ""
local loadPath = function(file)
	dofile(path .. "/" .. file)
end

//this makes setting up global functions exclusive to Crash much easier
rawset(_G, "CrashAddon", {})

//this contains all the important stuff used to make crash function
path = "Library"
loadPath("Assets.lua")
loadPath("Functions.lua")
loadPath("PlayerVars.lua")

//this handles all the functions of the jump button
path = "Jump"
loadPath("DoubleJump.lua")
loadPath("SlideJump.lua")

//this handles all the functions of the spin & custom 1 buttons
path = "SpinOrCust1"
loadPath("TornadoSpinGlide.lua")
loadPath("CrawlAndSlide.lua")
loadPath("BodySlam.lua")

//this handles all the miscellaneous gameplay elements
path = "Misc"
loadPath("CrashDash.lua")
loadPath("HealthSystem.lua")
loadPath("Funnies.lua")

//this handles all the more asthetic stuff that had minimal impact on gameplay
path = "PassiveStuff"
loadPath("JumpStates.lua")
loadPath("Footsteps.lua")

path = nil
loadPath = nil

print("=== Crash Bandicoot has been loaded! ===")