local CrashSkinCheck = CrashAddon.CrashSkinCheck
local JumpManager = CrashAddon.JumpManager

//another function ported from Emmette
local function DustSpawners(orimo, dist, airmo, watermo)
	if orimo.eflags & MFE_UNDERWATER or orimo.eflags & MFE_GOOWATER
		P_SpawnMobjFromMobj(orimo, dist, 0, 0, watermo)
		P_SpawnMobjFromMobj(orimo, dist * -1, 0, 0, watermo)
		P_SpawnMobjFromMobj(orimo, 0, dist, 0, watermo)
		P_SpawnMobjFromMobj(orimo, 0, dist * -1, 0, watermo)
	else
		P_SpawnMobjFromMobj(orimo, dist, 0, 0, airmo)
		P_SpawnMobjFromMobj(orimo, dist * -1, 0, 0, airmo)
		P_SpawnMobjFromMobj(orimo, 0, dist, 0, airmo)
		P_SpawnMobjFromMobj(orimo, 0, dist * -1, 0, airmo)
	end
end

local function DoubleJump(player)
	if not CrashSkinCheck(player)
		return
	end
	
	if not (player.pflags & PF_THOKKED) and player.mo.state != S_PLAY_SPINDASH
		S_StartSound(player.mo, sfx_jump)
		JumpManager(player.mo, 8 * FRACUNIT)
		player.mo.state = S_PLAY_FLOAT
		DustSpawners(player.mo, 25 * player.mo.scale, MT_ARIDDUST, 
				MT_MEDIUMBUBBLE)
		player.pflags = $ | PF_THOKKED
		player.crashban.slidejumped = false
	end
end

//hooks
addHook("AbilitySpecial", DoubleJump)