//this handles all the player variables used to make stuff happen
//kinda just yoinked it from pika as well
local CrashSkinCheck = CrashAddon.CrashSkinCheck

local CrashVars = {
	slidetimer = 0,
	spincooldown = 0,
	buttonpress = false,
	spintimer = 0,
	glidecounter = 0,
	bodyslam = false,
	hover = -1,
	faceplant = 0,
	woah = false,
	aku = MT_NULL,
	akulevel = 1,
	slidejumped = false,
	currentfram = -1
}

local function DeleteVars(player, pvars)
	if not player.crashban
		return
	end
	
	for v, s in pairs(pvars) do
		if player.crashban[v] != nil
			player.crashban[v] = nil
			player.height = skins[player.mo.skin].height
			player.normalspeed = skins[player.mo.skin].normalspeed
			player.acceleration = skins[player.mo.skin].acceleration
		end
	end
end

local function SetVars(player, pvars)
	if not CrashSkinCheck(player)
		DeleteVars(player, pvars)
		return
	end
	if not player.crashban
		player.crashban = {}
	end
	for v, s in pairs(pvars) do
		if player.crashban[v] == nil
			player.crashban[v] = s
		end
	end
end

//hooks
addHook("PreThinkFrame", function()
	for player in players.iterate do
		SetVars(player, CrashVars)
	end
end)
addHook("PlayerSpawn", function(player)
	DeleteVars(player, CrashVars)
end)