local CrashSkinCheck = CrashAddon.CrashSkinCheck
local FailVibeCheck = CrashAddon.FailVibeCheck
local ActionButton = CrashAddon.ActionButton
local CootOnGround = CrashAddon.CootOnGround

//a fairly simple implementation of the crash dash, this time pulled from mach
local function CrashDash(player)
	if not CrashSkinCheck(player)
		return
	end
	
	//this resets everything and prevents moves if crash fails the vibe check
	if FailVibeCheck(player)
		player.normalspeed = skins[player.mo.skin].normalspeed
		player.acceleration = skins[player.mo.skin].acceleration
		return
	end
	
	if player.cmd.buttons & BT_CUSTOM3 and CootOnGround(player.mo) and
			not (player.cmd.buttons & ActionButton(player) or 
			player.powers[pw_sneakers])
		player.normalspeed = 36 * FRACUNIT
		player.acceleration = skins[player.mo.skin].acceleration * 2
	elseif not (player.cmd.buttons & ActionButton(player))
		player.normalspeed = skins[player.mo.skin].normalspeed
		player.acceleration = skins[player.mo.skin].acceleration
	end
end

//hooks
addHook("PlayerThink", CrashDash)