local CrashSkinCheck = CrashAddon.CrashSkinCheck
local JumpManager = CrashAddon.JumpManager
local FailVibeCheck = CrashAddon.FailVibeCheck
local StateSetter = CrashAddon.StateSetter
local CootOnGround = CrashAddon.CootOnGround

//custom function, a modified version of Emmette's footsteps code
local function FootstepCue(player, fram1, fram2)
	if player.crashban.currentfram != (player.mo.frame & FF_FRAMEMASK)
		if (player.mo.frame & FF_FRAMEMASK) == fram1
			S_StartSound(player.mo, sfx_cshft1)
		elseif (player.mo.frame & FF_FRAMEMASK) == fram2
			S_StartSound(player.mo, sfx_cshft2)
		end
		player.crashban.currentfram = player.mo.frame & FF_FRAMEMASK
	end
end

//this controls when the footsteps play based on animation
local function Footsteps(player)
	if not CrashSkinCheck(player)
		return
	end
	
	if CootOnGround(player.mo)
		if player.mo.state == S_PLAY_WALK
			FootstepCue(player, 2, 6)
		elseif player.mo.state == S_PLAY_RUN
			FootstepCue(player, 1, 3)
		end
	end
end

//hooks
addHook("PlayerThink", Footsteps)